Current Version plugins

Incompatible change to sessions.restore API in Firefox 54

The add-on compatibility update for Firefox 54 was published a while back, but a backward-incompatible change to the sessions.restore WebExtensions API was uplifted to 54, currently in Beta and set to be released on June 13th.

sessions.restore now returns an object instead of an array. With this change, the API now matches the spec and its behavior in Google Chrome. If you use this API in your WebExtension, this bug report has all the details.

The post Incompatible change to sessions.restore API in Firefox 54 appeared first on Mozilla Add-ons Blog.


Leave a Comment

Your email address will not be published. Required fields are marked *

Menu Title